# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dvelp_flow/version'

Gem::Specification.new do |spec|
  spec.name          = 'dvelp_flow'
  spec.version       = DvelpFlow::VERSION
  spec.authors       = ['tom-mullen']
  spec.email         = ['tom@dvelp.co.uk']

  spec.summary       = %q{Helper library to build out communication on top of DialogFlow}
  spec.description   = %q{Build conversations across multiple channels on top of dialogflow}
  spec.homepage      = 'https://dvelp.co.uk'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activesupport'
  spec.add_dependency 'api-ai-ruby', '~> 2.1.0'
  spec.add_dependency 'googleauth', '~> 0.6.2'
  spec.add_dependency 'rest-client', '~> 2.0.2'
  spec.add_dependency 'twilio-ruby', '~> 5.2.3'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'shoulda-matchers', '~> 3.1', '>= 3.1.1'
  spec.add_development_dependency 'webmock', '~> 3.3.0'
end
